hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Loughran (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-11492) Bump up curator version to 2.7.1
Date Tue, 10 Mar 2015 16:59:43 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-11492?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14355204#comment-14355204
] 

Steve Loughran commented on HADOOP-11492:
-----------------------------------------

Sean: you want this in the incompatible section? 

The other option: and it is maybe possible, is see if we can back out of this change for now.
YARN-2716 hasn't gone in yet. HADOOP-11612 shows that with this dependency, Hadoop is now
internally inconstent w.r.t guava versions. 

though if we back it out of 2.7; we'll effectively have to do the same for the rest of the
2.x line, until the classloader problem gets fixed...



> Bump up curator version to 2.7.1
> --------------------------------
>
>                 Key: HADOOP-11492
>                 URL: https://issues.apache.org/jira/browse/HADOOP-11492
>             Project: Hadoop Common
>          Issue Type: Task
>    Affects Versions: 2.6.0
>            Reporter: Karthik Kambatla
>            Assignee: Arun Suresh
>             Fix For: 2.7.0
>
>         Attachments: hadoop-11492-1.patch, hadoop-11492-2.patch, hadoop-11492-3.patch,
hadoop-11492-3.patch
>
>
> Curator 2.7.1 got released recently and contains CURATOR-111 that YARN-2716 requires.

> PS: Filing a common JIRA so folks from other sub-projects also notice this change and
shout out if there are any reservations. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message